#!/usr/bin/env php

<?php

require_once(get_cfg_var('debian') === 'build' ? 'debian/autoload.php' :
    '/usr/share/movim/autoload.php');

use Movim\Bootstrap;
use Movim\Console\DaemonCommand;
use Movim\Console\ConfigCommand;
use Movim\Console\EmojisToJsonCommand;
use Symfony\Component\Console\Application;

if (get_cfg_var('debian') !== 'build') {
	$bootstrap = new Bootstrap;
	$bootstrap->boot($argv[1] == 'help');
} else {
	require_once('app/helpers/StringHelper.php');
	define('PUBLIC_PATH', dirname(__FILE__) . '/public/');
}

$application = new Application;
if (get_cfg_var('debian') !== 'build') {
	$application->add(new ConfigCommand);
	$application->add(new DaemonCommand);
}
$application->add(new EmojisToJsonCommand);
$application->run();
